autobox_driver: {version: 4ff5634}
calibration_date: '2015-11-18'
camera_calibration_date: '1970-01-01'
driving:
  imagery:
    imagery_root: /home/brice/driving_data/imagery
    tiles:
      resolutions: [10, 20, 40]
      sizes: [512]
  imagery_root: /home/brice/driving_data/imagery
  perception:
    blob_filter:
      adaptive: {long_distance: 50, min_n_pts_close_range: 10, min_n_pts_close_range_dist: 10,
        min_n_pts_long_range: 5, min_n_pts_long_range_dist: 50}
      min_footprint: 0
      min_size: {diag: 0, z: 0}
    classifier: 2015-10-08_classifier-merged-yushi.gc
    classifier_type: subhanet
    do_birds_filtering: true
    do_static_obs_detection: true
    dyn_max_size_no_rndf: 5.0
    dyn_moving_max_vel_var: 2.0
    dyn_moving_min_speed: 0.4
    heuristic_params: {min_classifier_observations_before_dynobs_message: 3, min_tracker_observations_before_dynamic: 2,
      rot_stdev_degrees: 5.0, twist_stdev_degrees_per_second: 10.0}
    max_distance_to_lane: 2
    rndf_filt:
      lane_dist_grid: {radius: 50, resolution: 0.3}
      lanes_img: {n_bands_per_lane: 7, resolution: 0.3, size: 200, threshold: 0.33}
    spin_loader:
      car_bb_max: {x: 1.9, y: 1.3, z: 2.0}
      car_bb_min: {x: -2.1, y: -1.3, z: -0.3}
      filter_inner_beams: true
      filter_points_on_car: true
      preferred_main_velodyne: velodyne1
    static_obs_blind_spot_rad: 0
    static_obs_grid:
      resolution: 0.1
      size: 80
      static_cells: {decay: -0.5, hit_bound_max: 20, hit_bound_min: 0, obs: 1, thresh: 15}
    stdr_seg:
      clustering3d:
        adaptive: {thresh_dmax: 50, thresh_dmin: 10, thresh_max: 2.0, thresh_min: 1.0}
        ang_thresh_deg: 1.5
        dist_ratio_thresh: 0.03
        ignore_points_above_clearance: true
        lateral_neighborhood: 10
        num_rings_to_check: 3
        polar_table_res: 10
      ring_organized_spin: {az_res: 0.5, v_end: 3, v_res: 1, v_start: -25}
      z_local_minima: {grid_resolution: 1, grid_size: 100, low_pass_layers: 1, low_pass_layers_scaling_dist: 15,
        percentile: 0.1, threshold: 0.5, z_hist_max: 3, z_hist_min: -3, z_hist_resolution: 0.1}
    subhanet: {caffedef: params.prototxt, caffemodel: params.caffemodel, class_map_file: params.classes,
      dummy_confidence_value: 1.0, meanstd: params.meanstd, track_decay: 0.9}
    tracking:
      centroid:
        initial_position_variance: 0.1
        initial_velocity_variance: 50
        measurement_variance: 0.1
        multitracker: {correspondence_thresh: 0.01, pruning_thresh: 1.0}
        position_variance: 1.0
        velocity_variance: 1.0
      multitracker: {correspondence_thresh: 0.01, init_track_rndf_mainly: false,
        multi_obs: true, multi_obs_max_radius: 6.0, pruning_thresh: 0.05, selective_track_init: true,
        spawn_close_to_lane_dist: 5.0, spawn_close_to_veh_dist: 0.0, spawn_max_dist_factor: 1.25,
        spawn_max_join_dist: 0.5, spawn_max_radius: 5.0, spawn_very_close_to_lane_dist: 1.0,
        two_consecutive_obs_required: false, use_other_blobs: false, vel_lane_prior_scale: 0.02}
      obb:
        canonicalize_orientation_min_vel: 0.25
        initial_variance_center: 0.1
        initial_variance_extent: 0.1
        initial_variance_velocity_center: 50
        initial_variance_velocity_yaw: 0.0001
        initial_variance_yaw: 3.141
        log_space_extent: false
        measurement_cov_z_scale: 0.01
        measurement_variance_center: 0.25
        measurement_variance_extent: 6.0
        measurement_variance_yaw: 0.2
        motion_variance_center: 0.1
        motion_variance_extent: 5.0
        motion_variance_velocity_center: 1.0
        motion_variance_velocity_yaw: 0.01
        motion_variance_yaw: 0.2
        multitracker: {correspondence_thresh: 0.01, pruning_thresh: 0.25, two_consecutive_obs_required: true}
        use_bbox_eigen_axis: false
      precision:
        initial_position_variance: 0.1
        initial_velocity_variance: 30
        multitracker: {correspondence_thresh: 0.01, pruning_thresh: 10}
      tracker_type: obb
      use_bbox_eigen_axis: false
  planner_cycle_time: 0.15
  traj_ctrler:
    a_no_applanix: -3.0
    a_no_traj: -2.0
    applanix_freq: 50.0
    controller_type: purepursuit
    curve_lookahead: 0.2
    extrapolate_lookahead: true
    max_steering_angle_ref: 0.61
    pid: {d_cte: 0, k_aggressive: 0, k_heading_err: 1, k_tracking: 1, k_yawrate: 0,
      p_cte: 2, p_lon: 0}
    purepursuit:
      L1_values: [2.5, 2.5, 2.0, 2.0, 2.5]
      alpha_max: 0.9
      k_variable_values: [1.0]
      k_yawratetraj_values: [0.1, 0.2, 0.4, 0.6, 0.7]
      l_offset_values: [1.5, 1.5, 2.0, 2.5, 3.0]
      max_steering_rate_values: [1.0, 1.0, 1.0, 1.0, 1.0]
      nu_axis: [0.0]
      scale_k_values: [1.0]
      tau_steering_filter: 0.01
      vel_axis: [1.7, 2.5, 5.0, 6.7, 9.0]
    time_controlled: false
    tracking_lookahead: 1.5
  vehicle:
    dbw: {max_steering: 35}
    dimensions: {FA_to_front_bumper: 0.49, IMU_to_CG: 0, IMU_to_FA: 1.32, IMU_to_rear_bumper: 1.81,
      applanix_origin_height: 0.3, axle_to_origin_height: 0.0, clearance_level: 2.1,
      length: 3.62, wheel_base: 2.62, wheel_track: 1.27, width: 1.65}
    dynamic_parameters: {max_steering_rate: 80, steering_ratio: 1}
    visual: {base_link_x: 0.0, base_link_y: 0.0, base_link_z: 0.0}
  velodyne1:
    driver_node: {device_ip: 192.168.3.50, frame_id: velodyne1, model: VLP16, npackets: 20,
      port: 2370, telem_port: 8310}
  velodyne2:
    driver_node: {device_ip: 192.168.3.51, frame_id: velodyne2, model: VLP16, npackets: 20,
      port: 2371, telem_port: 8311}
  velodyne3:
    driver_node: {device_ip: 192.168.3.52, frame_id: velodyne3, model: VLP16, npackets: 20,
      port: 2372, telem_port: 8312}
  velodyne4:
    driver_node: {device_ip: 192.168.3.53, frame_id: velodyne4, model: VLP16, npackets: 20,
      port: 2373, telem_port: 8313}
  velodyne5:
    driver_node: {device_ip: 192.168.3.54, frame_id: velodyne5, model: VLP16, npackets: 20,
      port: 2374, telem_port: 8314}
  velodyne6:
    driver_node: {device_ip: 192.168.3.55, frame_id: velodyne6, model: VLP16, npackets: 20,
      port: 2375, telem_port: 8315}
  velodyne7:
    driver_node: {device_ip: 192.168.3.56, frame_id: velodyne7, model: VLP16, npackets: 20,
      port: 2376, telem_port: 8316}
  velodyne8:
    driver_node: {device_ip: 192.168.3.57, frame_id: velodyne8, model: VLP16, npackets: 20,
      port: 2377, telem_port: 8317}
robot_description: "<?xml version=\"1.0\" ?>\n<!-- ===================================================================================\
  \ -->\n<!-- |    This document was autogenerated by xacro from /home/brice/code/workspaces/driving/bazel-bin/fakeros/fakeros.runfiles/packages/zoox/rcv/urdf/rcv.xml\
  \ | -->\n<!-- |    EDITING THIS FILE BY HAND IS NOT RECOMMENDED                \
  \                 | -->\n<!-- ===================================================================================\
  \ -->\n<robot name=\"rcv\" xmlns:xacro=\"http://www.ros.org/wiki/xacro\">\n  <!--\
  \ wheel_base -->\n  <link name=\"wheel_base_LF\"/>\n  <joint name=\"wheel_base_LF_joint\"\
  \ type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child link=\"wheel_base_LF\"\
  />\n    <origin rpy=\"0 0 0\" xyz=\"1.31                0.635                0.0\"\
  />\n  </joint>\n  <!-- Knuckle -->\n  <link name=\"knuckle_LF\">\n  </link>\n  <joint\
  \ name=\"knuckle_LF_joint\" type=\"revolute\">\n    <parent link=\"wheel_base_LF\"\
  />\n    <child link=\"knuckle_LF\"/>\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n\
  \    <axis xyz=\"0 0 1\"/>\n    <limit effort=\"1000.0\" lower=\"-0.6109\" upper=\"\
  0.6109\" velocity=\"10\"/>\n  </joint>\n  <!-- Wheel -->\n  <link name=\"wheel_LF\"\
  >\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n      <geometry>\n\
  \        <mesh filename=\"package://rcv/models/rcv_stylized/wheel.dae\" scale=\"\
  1 1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"wheel_LF_joint\"\
  \ type=\"continuous\">\n    <parent link=\"knuckle_LF\"/>\n    <child link=\"wheel_LF\"\
  />\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n    <axis xyz=\"0 1 0\"/>\n  </joint>\n\
  \  <!-- wheel_base -->\n  <link name=\"wheel_base_RF\"/>\n  <joint name=\"wheel_base_RF_joint\"\
  \ type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child link=\"wheel_base_RF\"\
  />\n    <origin rpy=\"0 0 0\" xyz=\"1.31                -0.635                0.0\"\
  />\n  </joint>\n  <!-- Knuckle -->\n  <link name=\"knuckle_RF\">\n  </link>\n  <joint\
  \ name=\"knuckle_RF_joint\" type=\"revolute\">\n    <parent link=\"wheel_base_RF\"\
  />\n    <child link=\"knuckle_RF\"/>\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n\
  \    <axis xyz=\"0 0 1\"/>\n    <limit effort=\"1000.0\" lower=\"-0.6109\" upper=\"\
  0.6109\" velocity=\"10\"/>\n  </joint>\n  <!-- Wheel -->\n  <link name=\"wheel_RF\"\
  >\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n      <geometry>\n\
  \        <mesh filename=\"package://rcv/models/rcv_stylized/wheel.dae\" scale=\"\
  1 -1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"wheel_RF_joint\"\
  \ type=\"continuous\">\n    <parent link=\"knuckle_RF\"/>\n    <child link=\"wheel_RF\"\
  />\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n    <axis xyz=\"0 1 0\"/>\n  </joint>\n\
  \  <!-- wheel_base -->\n  <link name=\"wheel_base_LR\"/>\n  <joint name=\"wheel_base_LR_joint\"\
  \ type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child link=\"wheel_base_LR\"\
  />\n    <origin rpy=\"0 0 0\" xyz=\"-1.31                0.635                0.0\"\
  />\n  </joint>\n  <!-- Knuckle -->\n  <link name=\"knuckle_LR\">\n  </link>\n  <joint\
  \ name=\"knuckle_LR_joint\" type=\"revolute\">\n    <parent link=\"wheel_base_LR\"\
  />\n    <child link=\"knuckle_LR\"/>\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n\
  \    <axis xyz=\"0 0 1\"/>\n    <limit effort=\"1000.0\" lower=\"-0.6109\" upper=\"\
  0.6109\" velocity=\"10\"/>\n  </joint>\n  <!-- Wheel -->\n  <link name=\"wheel_LR\"\
  >\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n      <geometry>\n\
  \        <mesh filename=\"package://rcv/models/rcv_stylized/wheel.dae\" scale=\"\
  -1 1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"wheel_LR_joint\"\
  \ type=\"continuous\">\n    <parent link=\"knuckle_LR\"/>\n    <child link=\"wheel_LR\"\
  />\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n    <axis xyz=\"0 1 0\"/>\n  </joint>\n\
  \  <!-- wheel_base -->\n  <link name=\"wheel_base_RR\"/>\n  <joint name=\"wheel_base_RR_joint\"\
  \ type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child link=\"wheel_base_RR\"\
  />\n    <origin rpy=\"0 0 0\" xyz=\"-1.31                -0.635                0.0\"\
  />\n  </joint>\n  <!-- Knuckle -->\n  <link name=\"knuckle_RR\">\n  </link>\n  <joint\
  \ name=\"knuckle_RR_joint\" type=\"revolute\">\n    <parent link=\"wheel_base_RR\"\
  />\n    <child link=\"knuckle_RR\"/>\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n\
  \    <axis xyz=\"0 0 1\"/>\n    <limit effort=\"1000.0\" lower=\"-0.6109\" upper=\"\
  0.6109\" velocity=\"10\"/>\n  </joint>\n  <!-- Wheel -->\n  <link name=\"wheel_RR\"\
  >\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n      <geometry>\n\
  \        <mesh filename=\"package://rcv/models/rcv_stylized/wheel.dae\" scale=\"\
  -1 -1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"wheel_RR_joint\"\
  \ type=\"continuous\">\n    <parent link=\"knuckle_RR\"/>\n    <child link=\"wheel_RR\"\
  />\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n    <axis xyz=\"0 1 0\"/>\n  </joint>\n\
  \  <!-- Sign -->\n  <link name=\"sign\">\n    <visual>\n      <origin rpy=\"0 0\
  \ 0\" xyz=\"0 0 0\"/>\n      <geometry>\n        <mesh filename=\"package://rcv/models/rcv_stylized/usim.dae\"\
  \ scale=\"1 1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"\
  sign_joint\" type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child link=\"\
  sign\"/>\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n  </joint>\n  <!-- Passenger\
  \ -->\n  <link name=\"passenger\">\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"\
  0 0 0\"/>\n      <geometry>\n        <mesh filename=\"package://rcv/models/rcv_stylized/guy.dae\"\
  \ scale=\"1 1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"\
  passenger_joint\" type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child\
  \ link=\"passenger\"/>\n    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n  </joint>\n\
  \  <link name=\"base_link\">\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0.0\
  \              0.0              0.0\"/>\n      <geometry>\n        <mesh filename=\"\
  package://rcv/models/rcv_stylized/base.dae\" scale=\"1 1 1\"/>\n      </geometry>\n\
  \      <material name=\"black\">\n        <color rgba=\"1 1 1 1\"/>\n      </material>\n\
  \    </visual>\n  </link>\n  <link name=\"base_link_ground\"/>\n  <joint name=\"\
  base_link_ground_joint\" type=\"fixed\">\n    <parent link=\"base_link\"/>\n   \
  \ <child link=\"base_link_ground\"/>\n    <origin rpy=\"0 0 0\" xyz=\"0       0\
  \       -0.3\"/>\n  </joint>\n  <!-- virtual velodyne -->\n  <link name=\"virtual_velodyne\"\
  />\n  <joint name=\"virtual_velodyne_joint\" type=\"fixed\">\n    <parent link=\"\
  base_link\"/>\n    <child link=\"virtual_velodyne\"/>\n    <origin rpy=\"0 0 3.14\"\
  \ xyz=\"0 0 1.52\"/>\n  </joint>\n  <link name=\"velodyne1\">\n    <visual>\n  \
  \    <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n      <geometry>\n        <mesh filename=\"\
  package://rcv/models/rcv_stylized/puck.dae\" scale=\"1 1 1\"/>\n      </geometry>\n\
  \    </visual>\n  </link>\n  <joint name=\"velodyne1_joint\" type=\"fixed\">\n \
  \   <parent link=\"base_link\"/>\n    <child link=\"velodyne1\"/>\n    <origin rpy=\"\
  -0.297215 -0.000000 -0.000000\" xyz=\"-1.453900 0.701750 1.623096\"/>\n  </joint>\n\
  \  <link name=\"velodyne2\">\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0\
  \ 0 0\"/>\n      <geometry>\n        <mesh filename=\"package://rcv/models/rcv_stylized/puck.dae\"\
  \ scale=\"1 1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"\
  velodyne2_joint\" type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child\
  \ link=\"velodyne2\"/>\n    <origin rpy=\"0.301589 -0.000000 -0.000000\" xyz=\"\
  -1.453900 -0.701750 1.623096\"/>\n  </joint>\n  <link name=\"velodyne3\">\n    <visual>\n\
  \      <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n      <geometry>\n        <mesh filename=\"\
  package://rcv/models/rcv_stylized/puck.dae\" scale=\"1 1 1\"/>\n      </geometry>\n\
  \    </visual>\n  </link>\n  <joint name=\"velodyne3_joint\" type=\"fixed\">\n \
  \   <parent link=\"base_link\"/>\n    <child link=\"velodyne3\"/>\n    <origin rpy=\"\
  0.000000 -0.292532 -0.000000\" xyz=\"-1.633900 0.743223 0.763896\"/>\n  </joint>\n\
  \  <link name=\"velodyne4\">\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0\
  \ 0 0\"/>\n      <geometry>\n        <mesh filename=\"package://rcv/models/rcv_stylized/puck.dae\"\
  \ scale=\"1 1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"\
  velodyne4_joint\" type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child\
  \ link=\"velodyne4\"/>\n    <origin rpy=\"0.000000 -0.281765 -0.000000\" xyz=\"\
  -1.633900 -0.743223 0.763896\"/>\n  </joint>\n  <link name=\"velodyne5\">\n    <visual>\n\
  \      <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n      <geometry>\n        <mesh filename=\"\
  package://rcv/models/rcv_stylized/puck.dae\" scale=\"1 1 1\"/>\n      </geometry>\n\
  \    </visual>\n  </link>\n  <joint name=\"velodyne5_joint\" type=\"fixed\">\n \
  \   <parent link=\"base_link\"/>\n    <child link=\"velodyne5\"/>\n    <origin rpy=\"\
  -0.306230 -0.000000 -0.000000\" xyz=\"1.453900 0.701750 1.623096\"/>\n  </joint>\n\
  \  <link name=\"velodyne6\">\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0\
  \ 0 0\"/>\n      <geometry>\n        <mesh filename=\"package://rcv/models/rcv_stylized/puck.dae\"\
  \ scale=\"1 1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"\
  velodyne6_joint\" type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child\
  \ link=\"velodyne6\"/>\n    <origin rpy=\"0.313223 -0.000000 -0.000000\" xyz=\"\
  1.453900 -0.701750 1.623096\"/>\n  </joint>\n  <link name=\"velodyne7\">\n    <visual>\n\
  \      <origin rpy=\"0 0 0\" xyz=\"0 0 0\"/>\n      <geometry>\n        <mesh filename=\"\
  package://rcv/models/rcv_stylized/puck.dae\" scale=\"1 1 1\"/>\n      </geometry>\n\
  \    </visual>\n  </link>\n  <joint name=\"velodyne7_joint\" type=\"fixed\">\n \
  \   <parent link=\"base_link\"/>\n    <child link=\"velodyne7\"/>\n    <origin rpy=\"\
  0.000000 0.283542 -0.000000\" xyz=\"1.633900 0.743223 0.763896\"/>\n  </joint>\n\
  \  <link name=\"velodyne8\">\n    <visual>\n      <origin rpy=\"0 0 0\" xyz=\"0\
  \ 0 0\"/>\n      <geometry>\n        <mesh filename=\"package://rcv/models/rcv_stylized/puck.dae\"\
  \ scale=\"1 1 1\"/>\n      </geometry>\n    </visual>\n  </link>\n  <joint name=\"\
  velodyne8_joint\" type=\"fixed\">\n    <parent link=\"base_link\"/>\n    <child\
  \ link=\"velodyne8\"/>\n    <origin rpy=\"0.000000 0.292558 -0.000000\" xyz=\"1.633900\
  \ -0.743223 0.763896\"/>\n  </joint>\n  <!-- Horn 2.0 -->\n  <link name=\"front_horn\"\
  />\n  <joint name=\"front_horn_joint\" type=\"fixed\">\n    <parent link=\"base_link\"\
  />\n    <child link=\"front_horn\"/>\n    <origin rpy=\"0 0 -1.57\" xyz=\"1.5 0\
  \ 1\"/>\n  </joint>\n</robot>\n\n"
robot_name: usim
rosdistro: 'indigo

  '
roslaunch:
  uris: {host_boox__53513: 'http://boox:53513/'}
rosversion: '1.11.15

  '
run_id: bb08a544-f15b-11e5-8e68-5cc5d467c3bb
